<?php

namespace Optimum7;

use Optimum7\Console\InstallPackageCommand;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Artisan;

class UIServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     *
     * @return void
    */
    public function register()
    {
       
    }

    /**
     * Bootstrap any application services.
     *
     * @return void
    */
    public function boot()
    {
        if ($this->app->runningInConsole()) {

            $this->publishes([
                __DIR__.'/public' => public_path(),
            ], 'public_files');

            $this->publishes([
                __DIR__.'/resources/js' => resource_path('js'),
            ], 'resource_js');

            $this->publishes([
                __DIR__.'/resources/sass' => resource_path('sass'),
            ], 'resource_sass');

            $this->publishes([
                __DIR__.'/resources/views' => resource_path('views'),
            ], 'resource_views');

            $this->publishes([
                __DIR__.'/webpack.mix.js' => base_path('/webpack.mix.js'),
            ], 'resource_views');

            $this->publishes([
                __DIR__.'/Controllers/HomeController.php' => app_path('/Http/Controllers/HomeController.php'),
            ], 'controllers');

            $this->publishes([
                __DIR__.'/routes/web.php' => base_path('/routes/web.php'),
            ], 'controllers');

            $this->publishes([
                __DIR__.'/Rules' => app_path('/Rules'),
            ], 'controllers');


            $this->commands([
                InstallPackageCommand::class
            ]);
        }
    }
}

