@extends('layouts.app')
@section('page_title', 'Admin Accounts')
@section('content')
    <div class="row">
        <div class="col-lg-12 col-12 col-md-12">
            <div class="card">
                <div class="card-header">
                    <div class="card-tools">
                        <div class="input-group input-group-sm">
                            <a
                                    href="{{ route('createAdmin') }}"
                                    class="btn btn-outline-success o7-button"
                            >
                                <i class="fa fa-plus"></i> Create a New Admin
                            </a>
                        </div>
                    </div>
                </div>
                <div class="card-body table-responsive p-0">
                    <table class="table table-hover text-nowrap">
                        <thead>
                        <tr>
                            <th>ID</th>
                            <th>Name</th>
                            <th>Email Address</th>
                            <th>Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        @foreach($users as $user)
                            <tr>
                                <td>{{ $user->id }}</td>
                                <td>{{ $user->name }}</td>
                                <td>{{ $user->email }}</td>
                                <td>
                                    <form
                                            action="{{ route('deleteAdminAccount', $user->id) }}"
                                            method="POST"
                                            class="d-inline"
                                    >
                                        @csrf
                                        @method('DELETE')
                                        <button
                                                class="btn btn-sm btn-danger"
                                                onclick="return confirm('Are you sure?')"
                                        >
                                            <i class="fa fa-trash"></i>
                                        </button>
                                    </form>
                                </td>
                            </tr>
                        @endforeach
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
@endsection
