@extends('layouts.app')
@section('page_title', 'New Account')
@section('content')
    <div class="row">
        <div class="col-lg-12 col-12 col-md-12">
            <div class="card card-primary">
                <form action="{{ route('postCreateAdmin') }}" method="POST">
                    @csrf
                    @method('POST')
                    <div class="card-body">
                        <div class="form-group">
                            <label for="name">Name*</label>
                            <input
                                    type="text"
                                    class="form-control"
                                    id="name"
                                    name="name"
                                    placeholder="Enter name"
                                    value="{{ old('name') }}"
                                    required
                            >
                        </div>
                        <div class="form-group">
                            <label for="email">Email address*</label>
                            <input
                                    type="email"
                                    class="form-control"
                                    id="email"
                                    name="email"
                                    placeholder="Enter email"
                                    value="{{ old('email') }}"
                                    required
                            >
                        </div>
                        <div class="form-group">
                            <label for="password">Password*</label>
                            <input
                                    type="password"
                                    class="form-control"
                                    id="password"
                                    name="password"
                                    placeholder="Password"
                                    required
                            >
                        </div>
                        <div class="form-group">
                            <label for="password_confirm">Password Again*</label>
                            <input
                                    type="password"
                                    class="form-control"
                                    id="password_confirm"
                                    name="password_confirm"
                                    placeholder="Password"
                                    required
                            >
                        </div>

                        @if ($errors->any())
                            <div class="col-md-12 col-12">
                                <div class="alert alert-danger">
                                    <ul>
                                        @foreach ($errors->all() as $error)
                                            <li>{{ $error }}</li>
                                        @endforeach
                                    </ul>
                                </div>
                            </div>
                        @endif
                    </div>
                    <div class="card-footer">
                        <div class="col-sm-12 d-flex justify-content-end">
                            <button
                                    type="submit"
                                    class="btn o7-button"
                            >
                                Create
                            </button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
@endsection
