@extends('layouts.auth')
@section('authTitle', __('Log in.'))
@section('authSubTitle', 'Log in with your data that you entered during registration.')

@section('content')
    <form method="POST" action="{{ route('login') }}">
        @csrf
        <div class="form-group position-relative has-icon-left mb-4">
            <input
                type="text"
                id="email"
                name="email"
                class="form-control form-control-xl @error('email') is-invalid @enderror"
                placeholder="{{ __('E-Mail Address') }}"
                value="{{ old('email') }}"
                required
                autocomplete="email"
                autofocus
            >
            <div class="form-control-icon">
                <i class="bi bi-person"></i>
            </div>
            @error('email')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
        </div>
        <div class="form-group position-relative has-icon-left mb-4">
            <input
                type="password"
                id="password"
                name="password"
                class="form-control form-control-xl @error('password') is-invalid @enderror"
                placeholder="{{ __('Password') }}"
                required
                autocomplete="current-password"
            >
            <div class="form-control-icon">
                <i class="bi bi-shield-lock"></i>
            </div>
            @error('password')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
        </div>
        <div class="form-check form-check-lg d-flex align-items-end">
            <input
                class="form-check-input me-2"
                type="checkbox"
                name="remember"
                id="remember" {{ old('remember') ? 'checked' : '' }}
            >
            <label class="form-check-label text-gray-600" for="remember">
                {{ __('Keep me logged in') }}
            </label>
        </div>
        <button class="btn btn-primary orange btn-block btn-lg shadow-lg mt-5">{{ __('Log in') }}</button>
    </form>
    <div class="text-center mt-5 text-lg fs-4">
        @if (Route::has('register'))
            <p class="text-gray-600">
                Don't have an account?
                <a href="{{ route('register') }}" class="font-bold">
                    {{ __('Register') }}
                </a>
            </p>
        @endif
        @if (Route::has('password.request'))
            <p>
                <a
                    class="font-bold"
                    href="{{ route('password.request') }}"
                >
                    {{ __('Forgot Your Password?') }}
                </a>
            </p>
        @endif
    </div>
@endsection
