@extends('layouts.auth')
@section('authTitle', __('Confirm Password'))
@section('authSubTitle', 'Please confirm your password before continuing.')

@section('content')
    <form method="POST" action="{{ route('password.confirm') }}">
        @csrf
        <div class="form-group position-relative has-icon-left mb-4">
            <input
                id="password"
                type="password"
                class="form-control form-control-xl @error('password') is-invalid @enderror"
                name="password"
                required
                autocomplete="new-password"
                placeholder="{{ __('Password') }}"
            >
            <div class="form-control-icon">
                <i class="bi bi-shield-lock"></i>
            </div>
            @error('password')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
        </div>

        <button class="btn btn-primary orange btn-block btn-lg shadow-lg mt-5">
            {{ __('Confirm Password') }}
        </button>
    </form>
    <div class="text-center mt-5 text-lg fs-4">
        @if (Route::has('password.request'))
            <a class="btn btn-link" href="{{ route('password.request') }}">
                {{ __('Forgot Your Password?') }}
            </a>
        @endif
    </div>
@endsection
