@extends('layouts.auth')
@section('authTitle', __('Reset Password'))
@section('authSubTitle', 'Input your email and we will send you reset password link.')

@section('content')
    @if (session('status'))
        <div class="alert alert-success" role="alert">
            {{ session('status') }}
        </div>
    @endif
    <form method="POST" action="{{ route('password.email') }}">
        @csrf
        <div class="form-group position-relative has-icon-left mb-4">
            <input
                id="email"
                type="email"
                class="form-control form-control-xl @error('email') is-invalid @enderror"
                name="email"
                value="{{ old('email') }}"
                required
                autocomplete="email"
                autofocus
                placeholder="{{ __('E-Mail Address') }}"
            >
            <div class="form-control-icon">
                <i class="bi bi-envelope"></i>
            </div>
            @error('email')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
        </div>
        <button class="btn btn-primary orange btn-block btn-lg shadow-lg mt-5">
            {{ __('Send Password Reset Link') }}
        </button>
    </form>
    <div class="text-center mt-5 text-lg fs-4">
        <p class='text-gray-600'>Remember your account?
            <a href="{{ route('login') }}" class="font-bold">
                {{ __('Log in.') }}
            </a>
        </p>
    </div>
@endsection
