@extends('layouts.auth')
@section('authTitle', __('Reset Password'))
@section('authSubTitle', 'Input your new password.')

@section('content')
    @if (session('status'))
        <div class="alert alert-success" role="alert">
            {{ session('status') }}
        </div>
    @endif
    <form method="POST" action="{{ route('password.update') }}">
        @csrf
        <input type="hidden" name="token" value="{{ $token }}">

        <div class="form-group position-relative has-icon-left mb-4">
            <input
                id="email"
                type="email"
                class="form-control form-control-xl @error('email') is-invalid @enderror"
                name="email"
                value="{{ $email ?? old('email') }}"
                required
                autocomplete="email"
                autofocus
                placeholder="{{ __('E-Mail Address') }}"
            >
            <div class="form-control-icon">
                <i class="bi bi-envelope"></i>
            </div>
            @error('email')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
        </div>

        <div class="form-group position-relative has-icon-left mb-4">
            <input
                id="password"
                type="password"
                class="form-control form-control-xl @error('password') is-invalid @enderror"
                name="password"
                required
                autocomplete="new-password"
                placeholder="{{ __('Password') }}"
            >
            <div class="form-control-icon">
                <i class="bi bi-shield-lock"></i>
            </div>
            @error('password')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
        </div>

        <div class="form-group position-relative has-icon-left mb-4">
            <input
                id="password-confirm"
                type="password"
                class="form-control form-control-xl"
                name="password_confirmation"
                required
                autocomplete="new-password"
                placeholder="{{ __('Confirm Password') }}"
            >
            <div class="form-control-icon">
                <i class="bi bi-shield-lock"></i>
            </div>
        </div>

        <button class="btn btn-primary orange btn-block btn-lg shadow-lg mt-5">
            {{ __('Reset Password') }}
        </button>
    </form>
@endsection
