@extends('layouts.auth')
@section('authTitle', __('Register'))
@section('authSubTitle', 'Input your data to register to our website.')

@section('content')
    <form method="POST" action="{{ route('register') }}">
        @csrf
        <div class="form-group position-relative has-icon-left mb-4">
            <input
                id="name"
                type="text"
                class="form-control
                form-control-xl @error('name') is-invalid @enderror"
                name="name"
                value="{{ old('name') }}"
                required
                autocomplete="name"
                autofocus
                placeholder="{{ __('Name') }}"
            >
            <div class="form-control-icon">
                <i class="bi bi-person"></i>
            </div>
            @error('name')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
        </div>
        <div class="form-group position-relative has-icon-left mb-4">
            <input
                id="email"
                type="email"
                class="form-control form-control-xl @error('email') is-invalid @enderror"
                name="email"
                value="{{ old('email') }}"
                required
                autocomplete="email"
                placeholder="{{ __('E-Mail Address') }}"
            >
            <div class="form-control-icon">
                <i class="bi bi-envelope"></i>
            </div>
            @error('email')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
        </div>
        <div class="form-group position-relative has-icon-left mb-4">
            <input
                id="password"
                type="password"
                class="form-control form-control-xl @error('password') is-invalid @enderror"
                name="password"
                required
                autocomplete="new-password"
                placeholder="{{ __('Password') }}"
            >
            <div class="form-control-icon">
                <i class="bi bi-shield-lock"></i>
            </div>
            @error('password')
            <span class="invalid-feedback" role="alert">
                <strong>{{ $message }}</strong>
            </span>
            @enderror
        </div>
        <div class="form-group position-relative has-icon-left mb-4">
            <input
                id="password-confirm"
                type="password"
                class="form-control form-control-xl"
                name="password_confirmation"
                required
                autocomplete="new-password"
                placeholder="{{ __('Confirm Password') }}"
            >
            <div class="form-control-icon">
                <i class="bi bi-shield-lock"></i>
            </div>
        </div>
        <button class="btn btn-primary orange btn-block btn-lg shadow-lg mt-5">{{ __('Register') }}</button>
    </form>
    <div class="text-center mt-5 text-lg fs-4">
        <p class='text-gray-600'>
            Already have an account?
            <a href="{{ route('login') }}" class="font-bold">{{ __('Log in.') }}</a>
        </p>
    </div>
@endsection
