<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HomeController;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Auth::routes();

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::group(['prefix' => 'admin'], function () {
    Route::get('change-password', [HomeController::class, 'changePassword'])->name('changePassword');
    Route::post('change-password', [HomeController::class, 'storeChangePassword'])->name('storeChangePassword');
    Route::get('all', [HomeController::class, 'adminAccounts'])->name('adminAccounts');
    Route::delete('delete/{id}', [HomeController::class, 'deleteAdminAccount'])->name('deleteAdminAccount');
    Route::get('create', [HomeController::class, 'createAdmin'])->name('createAdmin');
    Route::post('create', [HomeController::class, 'postCreateAdmin'])->name('postCreateAdmin');
});
